Loading...
Searching...
No Matches
Catch::ResultWas Struct Reference

`#include <catch_amalgamated.hpp>`

## Public Types

enum | OfType { Unknown = -1 , Ok = 0 , Info = 1 , Warning = 2 , ExplicitSkip = 4 , FailureBit = 0x10 , ExpressionFailed = FailureBit | 1 , ExplicitFailure = FailureBit | 2 , Exception = 0x100 | FailureBit , ThrewException = Exception | 1 , DidntThrowException = Exception | 2 , FatalErrorCondition = 0x200 | FailureBit }

## Member Enumeration Documentation

## OfType

enum Catch::ResultWas::OfType

Enumerator
Unknown |
Ok |
Info |
Warning |
ExplicitSkip |
FailureBit |
ExpressionFailed |
ExplicitFailure |
Exception |
ThrewException |
DidntThrowException |
FatalErrorCondition |

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp